Subject: Re: [PATCHv2 net-next 0/5] net: ipv6: add rpl source routing

From: Michael Richardson <[email-masked]>
Date: Fri, 20 Mar 2020 13:46:47 -0400

Alexander Aring <[email-masked]> wrote:
    > should happen. So far I understand there exists a draft yet which
    > describes the cases (inclusive a Hop-by-Hop option which we also not
    > support yet).

    > https://tools.ietf.org/html/draft-ietf-roll-useofrplinfo-35

The need for the hop-by-hop encapsulation is, I hope, now unnecessary.

draft-ietf-roll-unaware-leaves describes how very low duty cycle systems
(window-smash alerts, etc.) could participate in RPL without being routers.

--
]               Never tell me the odds!                 | ipv6 mesh networks [
]   Michael Richardson, Sandelman Software Works        |    IoT architect   [
]     [email-masked]  http://www.sandelman.ca/        |   ruby on rails    [